Subject: [Cfrg] On process (was Re: Elliptic Curves - poll on specific curve around 256bit work factor (ends on February 23rd))

From: Watson Ladd <[email-masked]>
Date: Sun, 22 Feb 2015 22:46:21 -0800

On Sat, Feb 21, 2015 at 5:40 AM, Paterson, Kenny
<[email-masked]> wrote:
> Hi Alyssa,
>
> On 20/02/2015 20:15, "Alyssa Rowan" <[email-masked]> wrote:
>
>>-----BEGIN PGP SIGNED MESSAGE-----
>>Hash: SHA512
>>
>>> [TA] Have you considered doing a poll of what specific curves
>>> people actually want to use?
>>
>>> [PHB] [Š] your poll [Š] rather undercuts the whole process.
>>
>>Strongly agreed.
>>
>>> [KP] Yes, we considered a number of different ways of narrowing
>>> down our choices. However, we settled on doing it this way. Please
>>> stick with us.
>>
>>With the greatest respect, if upstream and external parties were
>>willing to tolerate undocumented decisions by editor/chair fiat,
>>they'd stick with the NIST curves, wouldn't they?
>
> I think you have to give the chairs some room to make decisions in order
> to help move things forward. We've been rightly criticised for not doing
> that in recent months, and now we are trying to do better. So cut us some
> slack, please.
>
> Yes, we could have first run a "meta poll" to ask the group what kinds of
> questions they wanted to be asked, or what the topics of the questions
> should be, but I think that would only have led to dismayed comments from
> other participants saying we were not providing enough direction or
> leadership (but Alexey and I are by now well aware that chairs cannot
> please all of the people any of the time, and some of the time we do not
> please anyone; for us, it goes with the territory).

Chairs could avoid making promises about the process they don't end up
keeping. I would say that's the single biggest reason chairs got
criticised.

>
>>We were asked because publicly-documented technical consensus, not
>>guided by any one party, is very highly desirable.
>
> But then what to do if there is no consensus? This appeared to be the case
> on the specific question of whether we should stick to "traditional powers
> of 2" security levels or not.

But we're already using voting to decide other issues on which there
was no consensus: why is the Goldilocks issue so special?

You could have had long discussions about which point formats to use,
and decided to use one. You could have done the same for signatures.
But the only aspect that's being formally decided upon by the chairs
is security levels: why? And not even security levels, just a decision
to exclude three candidate curves.

I could understand making the entire decision. I could understand
voting in various forms. But I don't understand why this particular
decision is being made by chairs, and not others.

Sincerely,
Watson Ladd

>
> I explained this in an earlier response to one of your messages here:
>
> http://www.ietf.org/mail-archive/web/cfrg/current/msg06183.html.
>
> So now it seems to me that we are just rehashing. Let's try to avoid that,
> please.
>
> Now, all of this said: we can come back to other security levels later on,
> if we have sufficient time and energy. But right now, we're focussing on a
> question about the 256-bit security level.
>
> Thanks,
>
> Kenny
>
>>
>>We need that if our efforts are to be meaningful.
>>
>>> [PHB] The way I would do this is as a Quaker poll asking people
>>> what their preferred outcome is and what they can live with on 448,
>>> 480, 512 and 521.
>>
>>I agree - that process will probably work much better than these
>>forced-choice yes/no polls!
>>
>>So: my preference votes on prime consensus for the record:
>>
>>Just 2^255-19: Acceptable [no concerns; but CAs want extra-strength]
>>     2^379-19: No         [one 1 mod 4 is probably enough]
>>    2^384-317: No         [slow and awkward]
>>     2^389-21: Acceptable [seems fast, but not very well-explored]
>>     2^414-17: Acceptable [fast, but a slightly awkward size]
>>2^448-2^224-1: Preferred  [fast, strong, good size, plenty of margin]
>>2^480-2^240-1: Acceptable [fast, but only with 64-bit]
>>    2^512-569: No         [way too slow; awkward; would not implement]
>>      2^521-1: Acceptable [could live with it; slower than I'd like]
>>
>>- --
>>/akr
>>-----BEGIN PGP SIGNATURE-----
>>
>>iQIcBAEBCgAGBQJU55XaAAoJEOyEjtkWi2t6jH4P/1F6iBWEt8i7Y1aLXKQo8Efm
>>FncsTL1Byh51vi0WHHjnrJ+9d8z/oNecFeklfjPVvu5+rdezpCR+m2MN/SwW8d25
>>WmYjse75bBN9ilz7YohD7T632fUi4wcG1ffRnyNGw40ngiZIJopPAJMA0SZ4N5Wl
>>OPaIUNssN/y+XoEcezFzAioIoUkO+C24r3589dc5Bozd7hZQfz4INmyajFHGhgBy
>>ctpzMAoOqD+lgY6dbpeWrprV8Nnr3ZMm5Hnq9lb5rFgSSDUU8KsU5yIMX9yTwK/p
>>JFPewlUyJK4nb6zdj3Wc42pPgJuezXfdfrif6I6YRwFxet0lRMN1QVFKANubdOtC
>>hIKjQjBdMWYKcQkpFQJhoAiHSbMKSFafO+3KeMimyn3aKYotIUyuRZ9bf89cMuzl
>>HjABTiPmZNU4hyXxOn/9eNd5vd5T+UIKRY+RfVxSPwo6S/dDphwJ7W/3dhiwCMWI
>>AC6Ix5PFCia/y/TFP9R+edsHpmjzUwL+5MgJ+/oSUCgwFDuW8mpuncAtfPLujVQA
>>dsDkzhcJZvlna1AiIh8bNiAj9TFnyiiWr3K33tNPmTaocuN6y7yC3BW2hMiGbzT+
>>7u5TU8krsfiq1tG/yPzriZBXdlYmnMhTl9LmGvBw9gEMqxtmChJTXDdz0XnI7uy0
>>4YgaokzGUjTwkn5PxI9X
>>=FXwL
>>-----END PGP SIGNATURE-----
>>
>>_______________________________________________
>>Cfrg mailing list
>>[email-masked]
>>http://www.irtf.org/mailman/listinfo/cfrg
>
> _______________________________________________
> Cfrg mailing list
> [email-masked]
> http://www.irtf.org/mailman/listinfo/cfrg

-- 
"Those who would give up Essential Liberty to purchase a little
Temporary Safety deserve neither  Liberty nor Safety."
-- Benjamin Franklin

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 24 Feb 2015 21:12:51 +0000

> On 23/02/2015 06:46, Watson Ladd wrote:
I think the only promise that we made (timeline promises notwithstanding) is that we do a series of polls to narrow down choices of curves and other issues that are needed to finish EC recommendations (signature scheme, coordinate system, Endianness of what goes on the wire, etc.)
> and decided to use one. You could have done the same for signatures.
And have you read my message asking to stay on topic and which topics are coming next? If you did, you would have known that these questions are coming.
> decision is being made by chairs, and not others.
Chairs pick questions in order to help CFRG move forward on the EC topic. We are not perfect and for that I apologise. Suggestions for better questions are welcome, but please do it without starting a flame war (hint: either ask privately or ask nicely on the mailing list).

---

From: Watson Ladd <[email-masked]>
Date: Tue, 24 Feb 2015 14:34:01 -0800

On Feb 24, 2015 1:06 PM, "Alexey Melnikov" <[email-masked]>
wrote:
> I think the only promise that we made (timeline promises notwithstanding)
is that we do a series of polls to narrow down choices of curves and other
issues that are needed to finish EC recommendations (signature scheme,
coordinate system, Endianness of what goes on the wire, etc.)
> And have you read my message asking to stay on topic and which topics are
coming next? If you did, you would have known that these questions are
coming.

I did read that email. I'm not objecting to that aspect, just the exclusion
of a single proposal.  It's moot as chairs seem to have backed down from
this exclusion.

The process, or what little there was, has evolved from picking proposals
to full blown design by committe.

> Chairs pick questions in order to help CFRG move forward on the EC topic.
We are not perfect and for that I apologise. Suggestions for better
questions are welcome, but please do it without starting a flame war (hint:
either ask privately or ask nicely on the mailing list).

There's a difference between asking poll questions and making decisions.
I'm not objecting to either, just doing one and calling it the other, and
then hiding the fact that you did so.

As for poll questions how about "rank primes in your preference order".
People answered it anyway.

For ECDH we have six possible choices based on model and compression, plus
some more oddball proposals. I'd recommend asking everyone to rank them
all, and find something broadly acceptable.

For signatures we've got ECDSA, Franken-ECDSA, and EdSA. I would ask for a
full rank instead. I don't think we need to consider public key format
separately here.

As for endianess I would recommend sticking with existing implementations
and not conducting a poll.

This avoids issues where some votes condition others in weird ways.

Sincerely,
Watson Ladd

---

From: Alexey Melnikov <[email-masked]>
Date: Tue, 24 Feb 2015 22:49:10 +0000

Hi Watson,

On 24/02/2015 22:34, Watson Ladd wrote:
>
> On Feb 24, 2015 1:06 PM, "Alexey Melnikov" <[email-masked] 
> <mailto:[email-masked]>> wrote:
> >
> >> <[email-masked] <mailto:[email-masked]>> wrote:
>
  [snip]
> > And have you read my message asking to stay on topic and which 
> topics are coming next? If you did, you would have known that these 
> questions are coming.
>
> I did read that email. I'm not objecting to that aspect, just the 
> exclusion of a single proposal.
>
Pointing this out was a fine thing to do. That was not intentional.
>
> It's moot as chairs seem to have backed down from this exclusion.
>
> The process, or what little there was, has evolved from picking 
> proposals to full blown design by committe.
>
Well, IRTF and IETF are most using designs by committees.
> > Chairs pick questions in order to help CFRG move forward on the EC 
> topic. We are not perfect and for that I apologise. Suggestions for 
> better questions are welcome, but please do it without starting a 
> flame war (hint: either ask privately or ask nicely on the mailing list).
>
> There's a difference between asking poll questions and making 
> decisions. I'm not objecting to either, just doing one and calling it 
> the other, and then hiding the fact that you did so.
>
The truth is a bit simpler than your conspiracy theory: chairs looked at 
the responses received and tried to make any deductions possible from 
the data. Several people didn't think that our deductions were correct, 
so we will try to ask a better question again.
>
> As for poll questions how about "rank primes in your preference 
> order". People answered it anyway.
>
After discussing this internally chairs don't feel comfortable just 
using this information, because half of the people answered one question 
while the other half answered a different question. So we will repoll to 
get more consistent and full information from people.

  [snip]